Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.datasets.mri.map2nifti

`mvpa2.datasets.mri.``map2nifti`(dataset, data=None, imghdr=None, imgtype=None)

  Maps data(sets) into the original dataspace and wraps it into an Image.

  Parameters:

  dataset : Dataset

  > The mapper of this dataset is used to perform the reverse-mapping.

  data : ndarray or Dataset, optional

  > The data to be wrapped into NiftiImage. If None (default), it would wrap samples of the provided dataset. If it is a Dataset instance – takes its samples for mapping.

  imghdr : None or dict, optional

  > Image header data. If None, the header is taken from `dataset.a.imghdr`.

  imgtype : None or class, optional

  > Image class to be used for the instance. If None, the type is taken from `dataset.a.imgtype`.

  Returns:

  Image :

  > Instance of a class derived from `nibabel.spatialimages.SpatialImage`, such as Nifti1Image

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »